package com.ruoyi.ext.api.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 学员签到情况对象 e_sign_in
 *
 * @author CH
 * @date 2021-05-15
 */
public class SysObjDictRet
{
    private static final long serialVersionUID = 1L;
    private String title;
    private Integer fieldcount;
    private Integer count;
    private String[] fields;



    private String[] fieldwidths;
    private String[] headers;
    private String[][] data;

    public Integer getFieldcount() {
        return fieldcount;
    }

    public void setFieldcount(Integer fieldcount) {
        this.fieldcount = fieldcount;
    }
    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String[] getFieldwidths() {
        return fieldwidths;
    }

    public void setFieldwidths(String[] fieldwidths) {
        this.fieldwidths = fieldwidths;
    }

    public String[] getHeaders() {
        return headers;
    }

    public void setHeaders(String[] headers) {
        this.headers = headers;
    }



    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public void setFields(String[] fields)
    {
        this.fields = fields;
    }
    public String[] getFields()
    {
        return fields;
    }


    public void setData(String[][] data)
    {
        this.data = data;
    }
    public String[][] getData()
    {
        return data;
    }



    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)

            .append("count", getCount())
            .append("fileds", getFields())
            .append("data", getData())

            .toString();
    }
}
